Adornments in Angular Numeric Textbox

25 Sep 20266 minutes to read

Adornments allow you to add custom elements before or after the Angular Numeric Textbox input using the prependTemplate and appendTemplate properties. These templates support icons, labels, action buttons, and other visual elements while preserving numeric validation and float label functionality.

Common Use Cases

  • Currency Symbols: Display indicators like $, €, ¥ for monetary inputs.
  • Unit Labels: Show measurement units (kg, cm, km, percentage).
  • Action Icons: Include buttons for clear, reset, or custom operations.
  • Visual Feedback: Display status indicators without affecting numeric behavior.

Adding Adornments to Angular Numeric Textbox

Use prependTemplate to render elements before the numeric input, and appendTemplate to render elements after it. These templates support any inline HTML or icon markup and do not interfere with numeric validation.

  • prependTemplate: Renders HTML content before the input field
  • appendTemplate: Renders HTML content after the input field

The following example shows how to implement adornments in the Angular Numeric Textbox:

import { Component, ViewEncapsulation } from '@angular/core';
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs';

@Component({
  selector: 'app-root',
  styleUrls: ['.././index.css'],
  template: `
    <div class="col-lg-12 control-section adornment-numeric">
      <div class="content-wrapper">
        <div class="row custom-margin">
          <ejs-numerictextbox
            [(value)]="price"
            floatLabelType="Auto"
            cssClass="e-prepend-numeric"
            placeholder="Enter the price"
            [prependTemplate]="prependTemplate"
            (change)="onPriceChange()">
            <ng-template #prependTemplate>
              <span class="e-icons e-menu"></span>
              <span class="e-input-separator"></span>
              <span class="e-icons e-search"></span>
              <span class="e-input-separator"></span>
            </ng-template>
          </ejs-numerictextbox>
        </div>

        <div class="row custom-margin">
          <ejs-numerictextbox
            [(value)]="kg"
            [step]="1"
            floatLabelType="Auto"
            placeholder="Enter the kg"
            [appendTemplate]="appendTemplate"
            (change)="onKgChange()">
            <ng-template #appendTemplate>
              <div>
                <span>kg</span>
              </div>
            </ng-template>
          </ejs-numerictextbox>
        </div>

        <div class="row custom-margin custom-margin-row">
          <ejs-numerictextbox
            [(value)]="iconValue"
            [showSpinButton]="showSpinButtons"
            floatLabelType="Auto"
            cssClass="e-icon-numeric"
            placeholder="Enter the Number"
            [prependTemplate]="prependIconTemplate"
            [appendTemplate]="appendIconTemplate">
            <ng-template #prependIconTemplate>
              <span class="e-icons e-reset" title="Reset" (click)="onResetClick()"></span>
              <span class="e-input-separator"></span>
            </ng-template>
            <ng-template #appendIconTemplate>
              <span class="e-input-separator"></span>
              <span class="e-icons e-horizontal-line" (click)="onSubClick()"></span>
              <span class="e-input-separator"></span>
              <span class="e-icons e-plus" (click)="onPlusClick()"></span>
            </ng-template>
          </ejs-numerictextbox>
        </div>
      </div>
    </div>
  `,
  standalone: true,
  encapsulation: ViewEncapsulation.None,
  imports: [NumericTextBoxModule]
})
export class AppComponent {
  public showSpinButtons = false;
  public price: number = 1;
  public kg: number = 5;
  public iconValue: number | null = 10;

  onPriceChange(): void {
    this.kg = (this.price ?? 0) * 5;
  }

  onKgChange(): void {
    this.price = (this.kg ?? 0) / 5;
  }

  onResetClick(): void {
    this.iconValue = null;
  }

  onSubClick(): void {
    const current = Number(this.iconValue ?? 0);
    this.iconValue = current - 1;
  }

  onPlusClick(): void {
    const current = Number(this.iconValue ?? 0);
    this.iconValue = current + 1;
  }

  constructor() {}
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

You can view the demo here: Angular Numeric Textbox Adornments demo.

Adornments in React Numeric TextBox

Enhance the React Numeric TextBox component with prepended or appended visual elements using prependTemplate and appendTemplate properties. Adornments include currency symbols, unit labels, or action icons that provide context and improve the user input experience without affecting numeric validation or behavior.

Overview and Use Cases

Adornments serve multiple purposes in numeric input design:

  • Currency Symbols: Display monetary indicators such as $, €, ¥ to clarify input type
  • Unit Labels: Show measurement units (kg, cm, km, mph) to provide context
  • Action Icons: Include interactive buttons for clear, reset, or custom operations
  • Visual Context: Display status indicators or icons that describe the input purpose

Adding Adornments to React Numeric TextBox

Use prependTemplate and appendTemplate to insert custom HTML elements before or after the React Numeric TextBox input field:

  • prependTemplate: Renders content before (to the left of) the numeric input
  • appendTemplate: Renders content after (to the right of) the numeric input

These templates do not affect numeric validation and support any inline HTML or icon.

The following example demonstrates how to add adornments in the React Numeric TextBox control.

[Class-component]

import * as React from 'react';
import * as ReactDOM from "react-dom";
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component {
  constructor(props) {
    super(props);
    this.iconNumericObj = React.createRef();
    this.prepenNumericObj = React.createRef();
    this.appendNumericObj = React.createRef();
  }

  onPriceChange = () => {
    this.appendNumericObj.current.value = this.prepenNumericObj.current.value * 5;
  };

  onKgChange = () => {
    this.prepenNumericObj.current.value = this.appendNumericObj.current.value / 5;
  };

  prependTemplate = () => {
    return (
      <>
        <span className="e-icons e-menu"></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-search"></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  appendTemplate = () => {
    return <span>kg</span>;
  };

  prependIconTemplate = () => {
    const handleResetClick = () => {
      this.iconNumericObj.current.value = null;
    };
    return (
      <>
        <span
          className="e-icons e-reset"
          title="Reset"
          onClick={handleResetClick}
        ></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  appendIconTemplate = () => {
    const handleSubractClick = () => {
      this.iconNumericObj.current.value = this.iconNumericObj.current.value - 1;
    };
    const handlePlusClick = () => {
      this.iconNumericObj.current.value = this.iconNumericObj.current.value + 1;
    };
    return (
      <>
        <span className="e-input-separator"></span>
        <span
          className="e-icons e-horizontal-line"
          onClick={handleSubractClick}
        ></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-plus" onClick={handlePlusClick}></span>
      </>
    );
  };

  render() {
    return (
      <div className="control-pane">
        <div className="col-lg-12 control-section">
          <div className="content-wrapper sample-numeric-icon">
            <div className="row custom-margin">
              <NumericTextBoxComponent
                ref={this.prepenNumericObj}
                floatLabelType="Auto"
                cssClass="e-prepend-numeric"
                value={1}
                placeholder="Enter the price"
                prependTemplate={this.prependTemplate}
                change={this.onPriceChange}
              />
            </div>
            <div className="row custom-margin">
              <NumericTextBoxComponent
                ref={this.appendNumericObj}
                floatLabelType="Auto"
                step={1}
                value={5}
                placeholder="Enter the kg"
                appendTemplate={this.appendTemplate}
                change={this.onKgChange}
              />
            </div>
            <div className="row custom-margin-row">
              <NumericTextBoxComponent
                ref={this.iconNumericObj}
                floatLabelType="Auto"
                placeholder="Enter the Number"
                value={10}
                showSpinButton={false}
                prependTemplate={this.prependIconTemplate}
                appendTemplate={this.appendIconTemplate}
              />
            </div>
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<App />,document.getElementById('sample'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import { ChangeEventArgs } from '@syncfusion/ej2-inputs';

interface AdornmentsState {}

export default class App extends React.Component<{}, AdornmentsState> {
  iconNumericObj: React.RefObject<NumericTextBoxComponent> = React.createRef();
  prepenNumericObj: React.RefObject<NumericTextBoxComponent> = React.createRef();
  appendNumericObj: React.RefObject<NumericTextBoxComponent> = React.createRef();

  constructor(props: {}) {
    super(props);
  }

  onPriceChange = (): void => {
    if (this.appendNumericObj.current && this.prepenNumericObj.current) {
      this.appendNumericObj.current.value = 
        (this.prepenNumericObj.current.value as number) * 5;
    }
  };

  onKgChange = (): void => {
    if (this.prepenNumericObj.current && this.appendNumericObj.current) {
      this.prepenNumericObj.current.value = 
        (this.appendNumericObj.current.value as number) / 5;
    }
  };

  prependTemplate = (): React.ReactNode => {
    return (
      <>
        <span className="e-icons e-menu"></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-search"></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  appendTemplate = (): React.ReactNode => {
    return <span>kg</span>;
  };

  prependIconTemplate = (): React.ReactNode => {
    const handleResetClick = (): void => {
      if (this.iconNumericObj.current) {
        this.iconNumericObj.current.value = null;
      }
    };
    return (
      <>
        <span
          className="e-icons e-reset"
          title="Reset"
          onClick={handleResetClick}
        ></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  appendIconTemplate = (): React.ReactNode => {
    const handleSubractClick = (): void => {
      if (this.iconNumericObj.current) {
        this.iconNumericObj.current.value = 
          (this.iconNumericObj.current.value as number) - 1;
      }
    };
    const handlePlusClick = (): void => {
      if (this.iconNumericObj.current) {
        this.iconNumericObj.current.value = 
          (this.iconNumericObj.current.value as number) + 1;
      }
    };
    return (
      <>
        <span className="e-input-separator"></span>
        <span
          className="e-icons e-horizontal-line"
          onClick={handleSubractClick}
        ></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-plus" onClick={handlePlusClick}></span>
      </>
    );
  };

  render(): React.ReactNode {
    return (
      <div className="control-pane">
        <div className="col-lg-12 control-section">
          <div className="content-wrapper sample-numeric-icon">
            <div className="row custom-margin">
              <NumericTextBoxComponent
                ref={this.prepenNumericObj}
                floatLabelType="Auto"
                cssClass="e-prepend-numeric"
                value={1}
                placeholder="Enter the price"
                prependTemplate={this.prependTemplate}
                change={this.onPriceChange}
              />
            </div>
            <div className="row custom-margin">
              <NumericTextBoxComponent
                ref={this.appendNumericObj}
                floatLabelType="Auto"
                step={1}
                value={5}
                placeholder="Enter the kg"
                appendTemplate={this.appendTemplate}
                change={this.onKgChange}
              />
            </div>
            <div className="row custom-margin-row">
              <NumericTextBoxComponent
                ref={this.iconNumericObj}
                floatLabelType="Auto"
                placeholder="Enter the Number"
                value={10}
                showSpinButton={false}
                prependTemplate={this.prependIconTemplate}
                appendTemplate={this.appendIconTemplate}
              />
            </div>
          </div>
        </div>
      </div>
    );
  }
}

ReactDOM.render(<App />,document.getElementById('sample'));

You can view the demo here: React Numeric TextBox Adornments demo.

[Functional-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
import { useRef } from 'react';

import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';

function App(){
    const iconNumericObj = useRef(null);
    const prepenNumericObj = useRef(null);
    const appendNumericObj = useRef(null);
    const onPriceChange = () => {
        appendNumericObj.current.value = prepenNumericObj.current.value * 5;
    };
    const onKgChange = () => {
        prepenNumericObj.current.value = appendNumericObj.current.value / 5;
    };
    const prependTemplate = () => {
        return (<>
            <span className="e-icons e-menu"></span><span className="e-input-separator"></span><span className="e-icons e-search"></span><span className="e-input-separator"></span>
        </>);
    };
    const appendTemplate = () => {
        return (<>
            <span>kg</span>
        </>);
    };
    const prependIconTemplate = () => {
        const handleResetClick = () => {
            iconNumericObj.current.value = null;
        };
        return (<>
            <span className="e-icons e-reset" title="Reset" onClick={handleResetClick}></span><span className="e-input-separator"></span>
        </>);
    };
    const appendIconTemplate = () => {
        const handleSubractClick = () => {
            iconNumericObj.current.value = iconNumericObj.current.value - 1;
        };
        const handlePlusClick = () => {
            iconNumericObj.current.value = iconNumericObj.current.value + 1;
        };
        return (<>
            <span className="e-input-separator"></span><span className="e-icons e-horizontal-line" onClick={handleSubractClick}></span><span className="e-input-separator"></span><span className="e-icons e-plus" onClick={handlePlusClick}></span>
        </>);
    };
    return (<div className='control-pane'>
            <div className="col-lg-12 control-section">
                <div className="content-wrapper sample-numeric-icon">
                    <div className="row custom-margin">
                        <NumericTextBoxComponent ref={prepenNumericObj} floatLabelType='Auto' cssClass='e-prepend-numeric' value={1} placeholder='Enter the price' prependTemplate={prependTemplate} change={onPriceChange}/>
                    </div>
                    <div className="row custom-margin">
                        <NumericTextBoxComponent ref={appendNumericObj} floatLabelType='Auto' step={1} value={5} placeholder='Enter the kg' appendTemplate={appendTemplate} change={onKgChange}/>
                    </div>
                    <div className="row custom-margin-row">
                        <NumericTextBoxComponent ref={iconNumericObj} floatLabelType='Auto' placeholder='Enter the Number' value={10} showSpinButton={false} prependTemplate={prependIconTemplate} appendTemplate={appendIconTemplate}/>
                    </div>
                </div>
            </div>
        </div>);
};
ReactDOM.render(<App />,document.getElementById('sample'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { useRef } from 'react';
import { NumericTextBoxComponent } from '@syncfusion/ej2-react-inputs';

function App(){
  const iconNumericObj = useRef<NumericTextBoxComponent>(null);
  const prepenNumericObj = useRef<NumericTextBoxComponent>(null);
  const appendNumericObj = useRef<NumericTextBoxComponent>(null);

  const onPriceChange = (): void => {
    if (appendNumericObj.current && prepenNumericObj.current) {
      appendNumericObj.current.value = 
        (prepenNumericObj.current.value as number) * 5;
    }
  };

  const onKgChange = (): void => {
    if (prepenNumericObj.current && appendNumericObj.current) {
      prepenNumericObj.current.value = 
        (appendNumericObj.current.value as number) / 5;
    }
  };

  const prependTemplate = () => {
    return (
      <>
        <span className="e-icons e-menu"></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-search"></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  const appendTemplate = () => {
    return (
      <>
        <span>kg</span>
      </>
    );
  };

  const prependIconTemplate = () => {
    const handleResetClick = (): void => {
      if (iconNumericObj.current) {
        iconNumericObj.current.value = null;
      }
    };
    return (
      <>
        <span
          className="e-icons e-reset"
          title="Reset"
          onClick={handleResetClick}
        ></span>
        <span className="e-input-separator"></span>
      </>
    );
  };

  const appendIconTemplate = () => {
    const handleSubractClick = (): void => {
      if (iconNumericObj.current) {
        iconNumericObj.current.value = 
          (iconNumericObj.current.value as number) - 1;
      }
    };

    const handlePlusClick = (): void => {
      if (iconNumericObj.current) {
        iconNumericObj.current.value = 
          (iconNumericObj.current.value as number) + 1;
      }
    };

    return (
      <>
        <span className="e-input-separator"></span>
        <span
          className="e-icons e-horizontal-line"
          onClick={handleSubractClick}
        ></span>
        <span className="e-input-separator"></span>
        <span className="e-icons e-plus" onClick={handlePlusClick}></span>
      </>
    );
  };

  return (
    <div className="control-pane">
      <div className="col-lg-12 control-section">
        <div className="content-wrapper sample-numeric-icon">
          <div className="row custom-margin">
            <NumericTextBoxComponent
              ref={prepenNumericObj}
              floatLabelType="Auto"
              cssClass="e-prepend-numeric"
              value={1}
              placeholder="Enter the price"
              prependTemplate={prependTemplate}
              change={onPriceChange}
            />
          </div>
          <div className="row custom-margin">
            <NumericTextBoxComponent
              ref={appendNumericObj}
              floatLabelType="Auto"
              step={1}
              value={5}
              placeholder="Enter the kg"
              appendTemplate={appendTemplate}
              change={onKgChange}
            />
          </div>
          <div className="row custom-margin-row">
            <NumericTextBoxComponent
              ref={iconNumericObj}
              floatLabelType="Auto"
              placeholder="Enter the Number"
              value={10}
              showSpinButton={false}
              prependTemplate={prependIconTemplate}
              appendTemplate={appendIconTemplate}
            />
          </div>
        </div>
      </div>
    </div>
  );
};
ReactDOM.render(<App />,document.getElementById('sample'));

You can view the demo here: React Numeric TextBox Adornments demo.

Adornments in Vue Numeric Textbox

20 Aug 202624 minutes to read

Adornments allow you to add custom elements before or after the numeric textbox using the prependTemplate and appendTemplate properties. These elements can include currency symbols, unit labels, or action icons to provide context and quick actions without affecting numeric behavior or float label functionality.

Common Use Cases

  • Currency Symbols: Add indicators like $, €, ¥ for monetary inputs.
  • Unit Labels: Show measurement units (kg, cm, km).
  • Action Icons: Include buttons for clear, reset, or custom actions.
  • Visual Context: Display icons for input type or status.

Adding Adornments to NumericTextBox

Use prependTemplate and appendTemplate to inject HTML content before and after the masked input respectively. These templates do not alter mask behavior and support any inline HTML or icon.

prependTemplate: Renders elements before the numeric textbox.
appendTemplate: Renders elements after the numeric textbox.

The following example demonstrates how to add adornments in the NumericTextBox control.

<template>
    <div>
        <div class="col-lg-12 control-section adornment-numeric">
            <div class="content-wrapper">
                <div class="row custom-margin e-icontemplate">
                    <ejs-numerictextbox id="prepend" value="1" floatLabelType="Auto" cssClass="e-prepend-numeric" placeholder="Enter the price" :prependTemplate="'prependTemplate'" :change="onPriceChange">
                        <template v-slot:prependTemplate>
                            <span class="e-icons e-menu" title="Menu"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-search" title="Search"></span>
                            <span class="e-input-separator"></span>
                        </template>
                    </ejs-numerictextbox>
                </div>
                <div class="row custom-margin">
                    <ejs-numerictextbox id="append" value="5" floatLabelType="Auto" placeholder="Enter the kg" :appendTemplate="'appendTemplate'" :change="onKgChange">
                        <template v-slot:appendTemplate>
                            <span>kg</span>
                        </template>
                    </ejs-numerictextbox>
                </div>
                <div class="row custom-margin custom-margin-row e-icontemplate">
                    <ejs-numerictextbox id="iconTemplate" value="10" floatLabelType="Auto" placeholder="Enter the Number" :showSpinButton="showSpinButtons" :prependTemplate="'prependIconTemplate'" :appendTemplate="'appendIconTemplate'">
                        <template v-slot:prependIconTemplate>
                            <span id="reset" class="e-icons e-reset" title="Reset"></span>
                            <span class="e-input-separator"></span>
                        </template>
                        <template v-slot:appendIconTemplate>
                            <span class="e-input-separator"></span>
                            <span id="subtract" class="e-icons e-horizontal-line"></span>
                            <span class="e-input-separator"></span>
                            <span id="plus" class="e-icons e-plus"></span>
                        </template>
                    </ejs-numerictextbox>
                </div>
            </div>
        </div>
    </div>
</template>

<style>
    .adornment-numeric .content-wrapper {
        width: 35% !important;
        margin: 0 auto;
        min-width: 250px;
    }
    .adornment-numeric .custom-margin {
        margin: 25px 0;
    }
    .adornment-numeric .e-icons.e-search {
        background-color: rgba(0, 0, 0, 0) !important;
    }
    .adornment-numeric .e-numeric.e-control-wrapper.e-input-group .e-input-group-icon {
        background-color: rgba(0,0,0,0) !important;
    }
    .bootstrap5_3 .e-icontemplate .e-numerictextbox,
    .bootstrap5_3 .e-prependtemplate .e-numerictextbox,
    .bootstrap5_3-dark .e-icontemplate .e-numerictextbox,
    .bootstrap5_3-dark .e-prependtemplate .e-numerictextbox,
    .tailwind3 .e-icontemplate .e-numerictextbox,
    .tailwind3 .e-prependtemplate .e-numerictextbox,
    .tailwind3-dark .e-icontemplate .e-numerictextbox,
    .tailwind3-dark .e-prependtemplate .e-numerictextbox {
        padding-left: 0 !important;
    }
    .bootstrap5_3 .adornment-numeric .e-prepend-template,
    .bootstrap5_3-dark .adornment-numeric .e-prepend-template {
        padding-right: 0 !important;
    }
    .fluent2 .adornment-numeric .e-prepend-template,
    .fluent2-dark .adornment-numeric .e-prepend-template,
    .fluent2-highcontrast .adornment-numeric .e-prepend-template {
        padding-left: 8px !important;
    }
    .material3 .adornment-numeric .e-prepend-template,
    .material3-dark .adornment-numeric .e-prepend-template {
        padding-left: 0 !important;
    }
    .e-icontemplate .e-icons.e-reset,
    .e-icontemplate .e-icons.e-horizontal-line,
    .e-icontemplate .e-icons.e-plus {
        cursor: pointer;
    }
</style>

<script setup>
import { ref, onMounted } from 'vue';
import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";
import { getComponent } from '@syncfusion/ej2-base';

// Reactive state
const showSpinButtons = ref(false);

// Methods for price and kg synchronization
const onPriceChange = () => {
    const prependNumericObj = getComponent(document.getElementById('prepend'), 'numerictextbox');
    const appendNumericObj = getComponent(document.getElementById('append'), 'numerictextbox');
    appendNumericObj.value = prependNumericObj.value * 5;
    appendNumericObj.dataBind();
};

const onKgChange = () => {
    const prependNumericObj = getComponent(document.getElementById('prepend'), 'numerictextbox');
    const appendNumericObj = getComponent(document.getElementById('append'), 'numerictextbox');
    prependNumericObj.value = appendNumericObj.value / 5;
    prependNumericObj.dataBind();
};

// Lifecycle hook for event listeners
onMounted(() => {
    // Reset button handler
    const resetSpan = document.querySelector('#reset');
    if (resetSpan) {
        resetSpan.addEventListener('click', () => {
            const iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
            iconNumeric.value = null;
            iconNumeric.dataBind();
        });
    }

    // Subtract button handler
    const subtractSpan = document.querySelector('#subtract');
    if (subtractSpan) {
        subtractSpan.addEventListener('click', () => {
            const iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
            iconNumeric.value = iconNumeric.value - 1;
            iconNumeric.dataBind();
        });
    }

    // Plus button handler
    const plusSpan = document.querySelector('#plus');
    if (plusSpan) {
        plusSpan.addEventListener('click', () => {
            const iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
            iconNumeric.value = iconNumeric.value + 1;
            iconNumeric.dataBind();
        });
    }
});
</script>
<template>
    <div>
        <div class="col-lg-12 control-section adornment-numeric">
            <div class="content-wrapper">
                <div class="row custom-margin e-icontemplate">
                    <ejs-numerictextbox id="prepend" value="1" floatLabelType="Auto" cssClass="e-prepend-numeric" placeholder="Enter the price" :prependTemplate="'prependTemplate'" :change="onPriceChange">
                        <template v-slot:prependTemplate>
                            <span class="e-icons e-menu" title="Menu"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-search" title="Search"></span>
                            <span class="e-input-separator"></span>
                        </template>
                    </ejs-numerictextbox>
                </div>
                <div class="row custom-margin">
                    <ejs-numerictextbox id="append" value="5" floatLabelType="Auto" placeholder="Enter the kg" :appendTemplate="'appendTemplate'" :change="onKgChange">
                        <template v-slot:appendTemplate>
                            <span>kg</span>
                        </template>
                    </ejs-numerictextbox>
                </div>
                <div class="row custom-margin custom-margin-row e-icontemplate">
                    <ejs-numerictextbox id="iconTemplate" value="10" floatLabelType="Auto" placeholder="Enter the Number" :showSpinButton="showSpinButtons" :prependTemplate="'prependIconTemplate'" :appendTemplate="'appendIconTemplate'">
                        <template v-slot:prependIconTemplate>
                            <span id="reset" class="e-icons e-reset" title="Reset"></span>
                            <span class="e-input-separator"></span>
                        </template>
                        <template v-slot:appendIconTemplate>
                            <span class="e-input-separator"></span>
                            <span id="subract" class="e-icons e-horizontal-line"></span>
                            <span class="e-input-separator"></span>
                            <span id="plus" class="e-icons e-plus"></span>
                        </template>
                    </ejs-numerictextbox>
                </div>
            </div>
        </div>

    </div>
</template>

<script>
import { NumericTextBoxComponent } from "@syncfusion/ej2-vue-inputs";
import { getComponent } from '@syncfusion/ej2-base';

export default {
    data: function() {
        return { 
            showSpinButtons: false
        }
    },
    components: { 
        'ejs-numerictextbox': NumericTextBoxComponent
    },
    mounted: function() {
        var resetSpan = document.querySelector('#reset');
        if (resetSpan) {
            resetSpan.addEventListener('click', function() {
                var iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
                iconNumeric.value = null;
                iconNumeric.dataBind();
            });
        }
        var subractSpan = document.querySelector('#subract');
        if (subractSpan) {
            subractSpan.addEventListener('click', function() {
                var iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
                iconNumeric.value = iconNumeric.value - 1;
                iconNumeric.dataBind();
            });
        }
        var plusSpan = document.querySelector('#plus');
        if (plusSpan) {
            plusSpan.addEventListener('click', function() {
                var iconNumeric = getComponent(document.getElementById('iconTemplate'), 'numerictextbox');
                iconNumeric.value = iconNumeric.value + 1;
                iconNumeric.dataBind();
            });
        }
    },
    methods: {
        onPriceChange: function() {
            var prependNumericObj = getComponent(document.getElementById('prepend'), 'numerictextbox');
            var appendNumericObj = getComponent(document.getElementById('append'), 'numerictextbox');
            appendNumericObj.value = prependNumericObj.value * 5;
            appendNumericObj.dataBind();
        },
        onKgChange: function() {
            var prependNumericObj = getComponent(document.getElementById('prepend'), 'numerictextbox');
            var appendNumericObj = getComponent(document.getElementById('append'), 'numerictextbox');
            prependNumericObj.value = appendNumericObj.value / 5;
            prependNumericObj.dataBind();
        }
	}
};

</script>
<style>
    .adornment-numeric .content-wrapper {
        width: 35% !important;
        margin: 0 auto;
        min-width: 250px;
    }
    .adornment-numeric .custom-margin {
        margin: 25px 0;
    }
    .adornment-numeric .e-icons.e-search {
        background-color: rgba(0, 0, 0, 0) !important;
    }
    .adornment-numeric .e-numeric.e-control-wrapper.e-input-group .e-input-group-icon {
        background-color: rgba(0,0,0,0) !important;
    }
    .bootstrap5_3 .e-icontemplate .e-numerictextbox,
    .bootstrap5_3 .e-prependtemplate .e-numerictextbox,
    .bootstrap5_3-dark .e-icontemplate .e-numerictextbox,
    .bootstrap5_3-dark .e-prependtemplate .e-numerictextbox,
    .tailwind3 .e-icontemplate .e-numerictextbox,
    .tailwind3 .e-prependtemplate .e-numerictextbox,
    .tailwind3-dark .e-icontemplate .e-numerictextbox,
    .tailwind3-dark .e-prependtemplate .e-numerictextbox {
        padding-left: 0 !important;
    }
    .bootstrap5_3 .adornment-numeric .e-prepend-template,
    .bootstrap5_3-dark .adornment-numeric .e-prepend-template {
        padding-right: 0 !important;
    }
    .fluent2 .adornment-numeric .e-prepend-template,
    .fluent2-dark .adornment-numeric .e-prepend-template,
    .fluent2-highcontrast .adornment-numeric .e-prepend-template {
        padding-left: 8px !important;
    }
    .material3 .adornment-numeric .e-prepend-template,
    .material3-dark .adornment-numeric .e-prepend-template {
        padding-left: 0 !important;
    }
    .e-icontemplate .e-icons.e-reset,
    .e-icontemplate .e-icons.e-horizontal-line,
    .e-icontemplate .e-icons.e-plus {
        cursor: pointer;
    }
</style>

You can view the demo here: NumericTextBox Adornments demo.